import { searchCriteria, updateCriteria } from './types/criteriaTypes';
import { Primitive } from './types/PrimitiveTypes';
declare global {
    interface Array<T> {
        findOneAndUpdate(target: T, value: T): boolean;
        updateObjectInArray(searchCriteria: searchCriteria, updateCriteria: updateCriteria): boolean;
        deleteOneByValue(searchCriteria: searchCriteria | any): any;
        deleteAllByValue(target: any): any[];
        deleteOneWhere(searchCriteria: searchCriteria): any;
        deleteAllWhere(searchCriteria: searchCriteria): any[];
        filterNullish(): T[];
        distinct(): T[];
        isEmpty(): boolean;
        isUnique(): boolean;
        groupBy(...keys: T[]): Record<string, T[]>;
        allElementsOfType(dataType: any): boolean;
        countBy(...keys: T[]): Record<string, number>;
        countValues(...keys: Primitive[]): Record<string, number>;
        union(arr: T[]): T[];
        intersect(arr: T[]): T[];
        sample(): T | undefined;
        difference(...arr: Array<T[]>): T[];
    }
}
export declare function config(): void;
